#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './selectfromlistdlg.ui'
**
** Created: 2012-06-21T23:12:32
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "selectfromlistdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qlineedit.h>
#include <kpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SelectFromListDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SelectFromListDlg::SelectFromListDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SelectFromListDlg" );
    setSizeGripEnabled( TRUE );
    SelectFromListDlgLayout = new QVBoxLayout( this, 11, 6, "SelectFromListDlgLayout"); 

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout2->addWidget( textLabel1 );
    spacer2 = new QSpacerItem( 90, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer2 );
    SelectFromListDlgLayout->addLayout( layout2 );

    lv_list = new KListView( this, "lv_list" );
    lv_list->setAllColumnsShowFocus( TRUE );
    lv_list->setItemMargin( 3 );
    lv_list->setShowToolTips( FALSE );
    lv_list->setResizeMode( KListView::AllColumns );
    lv_list->setFullWidth( TRUE );
    SelectFromListDlgLayout->addWidget( lv_list );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    l_find = new QLabel( this, "l_find" );
    layout4->addWidget( l_find );

    le_find = new QLineEdit( this, "le_find" );
    le_find->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, le_find->sizePolicy().hasHeightForWidth() ) );
    le_find->setMinimumSize( QSize( 130, 0 ) );
    layout4->addWidget( le_find );

    pb_next = new KPushButton( this, "pb_next" );
    pb_next->setAutoDefault( FALSE );
    pb_next->setDefault( FALSE );
    layout4->addWidget( pb_next );

    cb_case = new QCheckBox( this, "cb_case" );
    cb_case->setEnabled( TRUE );
    layout4->addWidget( cb_case );
    spacer5 = new QSpacerItem( 21, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout4->addItem( spacer5 );

    l_notify = new QLabel( this, "l_notify" );
    l_notify->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, l_notify->sizePolicy().hasHeightForWidth() ) );
    l_notify->setMinimumSize( QSize( 170, 0 ) );
    l_notify->setPaletteForegroundColor( QColor( 255, 0, 0 ) );
    QFont l_notify_font(  l_notify->font() );
    l_notify_font.setItalic( TRUE );
    l_notify->setFont( l_notify_font ); 
    l_notify->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout4->addWidget( l_notify );
    SelectFromListDlgLayout->addLayout( layout4 );

    layout4_2 = new QHBoxLayout( 0, 0, 6, "layout4_2"); 
    spacer2_2 = new QSpacerItem( 303, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4_2->addItem( spacer2_2 );

    pb_select = new KPushButton( this, "pb_select" );
    pb_select->setAutoDefault( TRUE );
    pb_select->setDefault( TRUE );
    layout4_2->addWidget( pb_select );

    pb_cancel = new KPushButton( this, "pb_cancel" );
    pb_cancel->setAutoDefault( TRUE );
    layout4_2->addWidget( pb_cancel );
    SelectFromListDlgLayout->addLayout( layout4_2 );
    languageChange();
    resize( QSize(568, 518).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pb_select, SIGNAL( clicked() ), this, SLOT( pb_select_clicked() ) );
    connect( pb_cancel, SIGNAL( clicked() ), this, SLOT( pb_cancel_clicked() ) );
    connect( pb_next, SIGNAL( clicked() ), this, SLOT( pb_next_clicked() ) );
    connect( cb_case, SIGNAL( stateChanged(int) ), this, SLOT( cb_case_stateChanged(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SelectFromListDlg::~SelectFromListDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SelectFromListDlg::languageChange()
{
    setCaption( tr2i18n( "Select from list..." ) );
    textLabel1->setText( tr2i18n( "Select a subtitle:" ) );
    QWhatsThis::add( lv_list, tr2i18n( "The list of the current subtitles in memory." ) );
    l_find->setText( tr2i18n( "Find:" ) );
    QWhatsThis::add( le_find, tr2i18n( "Enter text to search for." ) );
    pb_next->setText( tr2i18n( "&Next" ) );
    pb_next->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QWhatsThis::add( pb_next, tr2i18n( "Find text in subtitles." ) );
    cb_case->setText( tr2i18n( "Match case" ) );
    QWhatsThis::add( cb_case, tr2i18n( "Case sensitive find." ) );
    l_notify->setText( QString::null );
    pb_select->setText( tr2i18n( "&Select" ) );
    pb_select->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( pb_select, tr2i18n( "Select the selected subtitle as the current one." ) );
    pb_cancel->setText( tr2i18n( "&Cancel" ) );
    pb_cancel->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

void SelectFromListDlg::pb_select_clicked()
{
    qWarning( "SelectFromListDlg::pb_select_clicked(): Not implemented yet" );
}

void SelectFromListDlg::pb_cancel_clicked()
{
    qWarning( "SelectFromListDlg::pb_cancel_clicked(): Not implemented yet" );
}

void SelectFromListDlg::pb_next_clicked()
{
    qWarning( "SelectFromListDlg::pb_next_clicked(): Not implemented yet" );
}

void SelectFromListDlg::cb_case_stateChanged(int)
{
    qWarning( "SelectFromListDlg::cb_case_stateChanged(int): Not implemented yet" );
}

#include "selectfromlistdlg.moc"
