#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './prefPageMPlayerDlg.ui'
**
** Created: 2012-06-21T23:12:31
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "prefPageMPlayerDlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a prefPageMPlayerDlg which is a child of 'parent', with the
 *  name 'name'.' 
 */
prefPageMPlayerDlg::prefPageMPlayerDlg( QWidget* parent,  const char* name )
    : QFrame( parent, name )
{
    if ( !name )
	setName( "prefPageMPlayerDlg" );
    setFrameShape( QFrame::NoFrame );
    setFrameShadow( QFrame::Plain );
    prefPageMPlayerDlgLayout = new QVBoxLayout( this, 11, 6, "prefPageMPlayerDlgLayout"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QHBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    rb_mplayer_topLeft = new QRadioButton( buttonGroup1, "rb_mplayer_topLeft" );
    rb_mplayer_topLeft->setChecked( TRUE );
    layout9->addWidget( rb_mplayer_topLeft );

    rb_mplayer_bottomLeft = new QRadioButton( buttonGroup1, "rb_mplayer_bottomLeft" );
    rb_mplayer_bottomLeft->setChecked( FALSE );
    layout9->addWidget( rb_mplayer_bottomLeft );
    buttonGroup1Layout->addLayout( layout9 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    rb_mplayer_topRight = new QRadioButton( buttonGroup1, "rb_mplayer_topRight" );
    rb_mplayer_topRight->setChecked( FALSE );
    layout7->addWidget( rb_mplayer_topRight );

    rb_mplayer_bottomRight = new QRadioButton( buttonGroup1, "rb_mplayer_bottomRight" );
    rb_mplayer_bottomRight->setChecked( FALSE );
    layout7->addWidget( rb_mplayer_bottomRight );
    buttonGroup1Layout->addLayout( layout7 );
    layout8->addWidget( buttonGroup1 );
    spacer4 = new QSpacerItem( 131, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer4 );
    prefPageMPlayerDlgLayout->addLayout( layout8 );

    cb_mplayer_automaticResize = new QCheckBox( this, "cb_mplayer_automaticResize" );
    prefPageMPlayerDlgLayout->addWidget( cb_mplayer_automaticResize );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    lv_audioOutputDrivers = new KListView( groupBox1, "lv_audioOutputDrivers" );
    lv_audioOutputDrivers->setFullWidth( TRUE );
    groupBox1Layout->addWidget( lv_audioOutputDrivers );
    prefPageMPlayerDlgLayout->addWidget( groupBox1 );

    groupBox1_2 = new QGroupBox( this, "groupBox1_2" );
    groupBox1_2->setColumnLayout(0, Qt::Vertical );
    groupBox1_2->layout()->setSpacing( 6 );
    groupBox1_2->layout()->setMargin( 11 );
    groupBox1_2Layout = new QHBoxLayout( groupBox1_2->layout() );
    groupBox1_2Layout->setAlignment( Qt::AlignTop );

    lv_videoOutputDrivers = new KListView( groupBox1_2, "lv_videoOutputDrivers" );
    lv_videoOutputDrivers->setFullWidth( TRUE );
    groupBox1_2Layout->addWidget( lv_videoOutputDrivers );
    prefPageMPlayerDlgLayout->addWidget( groupBox1_2 );
    languageChange();
    resize( QSize(537, 529).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
prefPageMPlayerDlg::~prefPageMPlayerDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void prefPageMPlayerDlg::languageChange()
{
    setCaption( tr2i18n( "MPlayer" ) );
    buttonGroup1->setTitle( tr2i18n( "Make MPlayer show up at" ) );
    QWhatsThis::add( buttonGroup1, tr2i18n( "When you press play, in which corner of the screen should MPlayer pop up?" ) );
    rb_mplayer_topLeft->setText( tr2i18n( "Top left" ) );
    rb_mplayer_bottomLeft->setText( tr2i18n( "Bottom left" ) );
    rb_mplayer_topRight->setText( tr2i18n( "Top right" ) );
    rb_mplayer_bottomRight->setText( tr2i18n( "Bottom right" ) );
    cb_mplayer_automaticResize->setText( tr2i18n( "Resize MPlayer window as large as possible without overlapping the editor" ) );
    QWhatsThis::add( cb_mplayer_automaticResize, tr2i18n( "Resizes the MPlayer movie window so the editor is always completely visible.  This can possibly make your MPlayer window very small..." ) );
    groupBox1->setTitle( tr2i18n( "Audio output driver" ) );
    QWhatsThis::add( lv_audioOutputDrivers, tr2i18n( "Select here your audio output driver you want MPlayer to use.  Changing this will not change your system default setting." ) );
    groupBox1_2->setTitle( tr2i18n( "Video output driver" ) );
    QWhatsThis::add( lv_videoOutputDrivers, tr2i18n( "Select here your video output driver you want MPlayer to use.  Changing this will not change your system default setting." ) );
}

#include "prefPageMPlayerDlg.moc"
